@echo off

rem Look for environment variable STYX_HOME, if found, try to run Styx
if not "%STYX_HOME%"=="" goto run

rem Try to set STYX_HOME to where this batch file is located
rem (which should be the place Styx was copied into).
rem Probable works only on NT based Windows.
set STYX_HOME=%~dp0%
if not "%STYX_HOME%"=="" goto run

rem Inform user about failure.
goto failure

:run
start javaw "-Djava.library.path=%STYX_HOME%lib" -jar "%STYX_HOME%styx.jar"
goto end

:failure
echo Environment variable STYX_HOME not set and could not be guessed.
echo Please refer to the Styx user guide for instalation instructions.
pause
goto end

:end
